<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url('images/body_bg.gif');background-position:top;background-repeat: repeat;">
<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/body_bg.gif');background-position:top;background-repeat: repeat;">
  <tr>
    <td>
<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/body_bgtop.jpg');background-position:top;background-repeat: repeat-x;">
  <tr>
    <td width="47" rowspan="2" align="left" valign="top"><div style="height:25px;width:47px;"></div></td>
    <td height="95" align="center" valign="top"><!-- MENU --><table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <xsl:call-template name="TOP-MENU"/>

        
      </tr>
    </table><!-- END MENU --></td>
    <td width="47" rowspan="2" align="left" valign="top"><div style="height:25px;width:47px;"></div></td>
  </tr>
  <tr>
    <td align="left" valign="top"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td colspan="3" style="background-color:#ffffff;background-image: url('images/mainbg_lefttop.gif');background-position:left top;background-repeat: no-repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/mainbg_righttop.gif');background-position:right top;background-repeat: no-repeat;">
  <tr>
    <td width="206" height="138" align="center"><!-- LOGO --><table width="190" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
        </tr>
      <tr>
        <td align="center" valign="middle" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
      </tr>
    </table>
      <!-- END LOGO --></td>
    <td height="138" align="center" valign="middle" style="padding-left:2px;padding-right:2px;padding-top:2px;padding-bottom:2px;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/header_bg.jpg');background-position:left;background-repeat: repeat-x;">
  <tr>
    <td height="138" align="left"><img src="images/header_left.jpg"/></td>
    <td align="left" style="background-image: url('images/header_right.jpg');background-position:right;background-repeat: no-repeat;"><table width="204" height="138" border="0" cellpadding="0" cellspacing="0"> 
  <tr>
    <td align="left" valign="bottom">
      <table width="190" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
  </tr>
</table><div style="height:64px;width:204px;"></div>

</td>
  </tr>
  
</table>

      
</td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td width="206" valign="top" style="background-image: url('images/menu_bg2.gif');background-position:left;background-repeat: repeat-y;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/menu_bg1.jpg');background-position:left top;background-repeat: no-repeat;">
  <tr>
    <td align="center" valign="top" style="background-image: url('images/menu_bg3.gif');background-position:bottom;background-repeat: no-repeat;"><div style="height:20px;width:204px;"></div><!-- SUBMENU -->
            <table width="144" border="0" cellspacing="0" cellpadding="0">
                <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table>
          <!-- END SUBMENU -->
          <div style="height:20px;width:204px;"></div>
</td>
  </tr>
</table>
</td>
    <td valign="top" style="padding-left:2px;padding-right:2px;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="6" height="6" valign="top"  style="background-image: url('images/txtbg_line1.gif');background-position:left;background-repeat: repeat-y;"><img src="images/txtbg_lefttop.gif"/></td>
    <td style="background-image: url('images/txtbg_line2.gif');background-position:top;background-repeat: repeat-x;"><div style="height:6px;width:25px;"></div></td>
    <td width="6" height="6" valign="top"  style="background-image: url('images/txtbg_line1.gif');background-position:right;background-repeat: repeat-y;"><img src="images/txtbg_righttop.gif"/></td>
  </tr>
  <tr>
    <td style="background-image: url('images/txtbg_line1.gif');background-position:left;background-repeat: repeat-y;"><div style="height:6px;width:6px;"></div></td>
    <td valign="top"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="text-header" style="padding-left:10px;"><img src="images/txtheader_bullet.gif"/></td>
              </tr>
            </table>
          <div style="height:20px;"></div>
          <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>

            <!-- END CONTENT --></td>
      </tr>
    </table></td>
    <td style="background-image: url('images/txtbg_line1.gif');background-position:right;background-repeat: repeat-y;"><div style="height:6px;width:6px;"></div></td>
  </tr>
  <tr>
    <td width="6" height="6" valign="bottom"  style="background-image: url('images/txtbg_line1.gif');background-position:left;background-repeat: repeat-y;"><img src="images/txtbg_leftbot.gif"/></td>
    <td  style="background-image: url('images/txtbg_line2.gif');background-position:bottom;background-repeat: repeat-x;"><div style="height:6px;width:25px;"></div>
</td>
    <td width="6" height="6" valign="bottom"  style="background-image: url('images/txtbg_line1.gif');background-position:right;background-repeat: repeat-y;"><img src="images/txtbg_rightbot.gif"/></td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td height="50"><table border="0" cellpadding="0" cellspacing="0" style="height:100%;width:100%;">
      <tr>
        <td width="50" valign="bottom" style="background-image: url('images/botmenu_topbg.gif');background-position:left;background-repeat: repeat-x;"><img src="images/mainbg_leftbot.gif"/></td>
        <td height="50" align="center"  style="background-color:#ffffff;"><!-- BOTTOM MENU -->
            <table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
          <!-- END BOOTTOM MENU --></td>
        <td width="50" valign="bottom" style="background-image: url('images/botmenu_topbg.gif');background-position:left;background-repeat: repeat-x;"><img src="images/mainbg_rightbot.gif"/></td>
      </tr>
    </table></td>
  </tr>
</table>
</td>
  </tr>
  <tr>
    <td width="47" height="110" align="left" valign="top"></td>
    <td align="center" valign="top"><div style="height:25px;width:25px;"></div>
<!-- FOOTER -->
        <div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div>
    <!-- END FOOTER --></td>
    <td width="47" align="left" valign="top"></td>
  </tr>
</table>
</td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu with link-->	
      <tr>
                <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="5"><img src="images/submenu_bullet.gif"/></td>
                      <td><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                    </tr>
                </table></td>
              </tr>
              
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu without link-->
	  <tr>
                <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="5"><img src="images/submenu_bullet.gif"/></td>
                      <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    </tr>
                </table></td>
              </tr>
              
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      <tr>
                <td height="20" align="left" style="background-image: url('images/submenu_line.gif');background-position:left;background-repeat: no-repeat;"><div style="height:20px;width:20px;"></div></td>
              </tr>
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        <td align="right" valign="middle"><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="middle" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
        <td align="right" valign="middle"><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="middle"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td align="right" valign="middle"><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="middle" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
