<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY style="margin:0px" BGCOLOR="#373737">	
<table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#373737">
  <tr>
    <td height="205" width="100%" valign="top" background="images/bg_orige.jpg">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="100%" valign="top" background="images/head_bg.jpg"><img src="images/header.jpg" width="552" height="205"/></td>
<td width="228" valign="top" background="images/head_bg.jpg"><!-- LOGO -->
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="10" valign="top"><img src="images/head_r_t.jpg" width="1" height="180"/></td>
<td width="66" align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
<td width="152" valign="middle">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<tr>
<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
</tr>
<tr>
<td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
</tr>
</table>
<!-- END LOGO -->
</td>
</tr>
<tr>
<td colspan="3" align="right" valign="bottom" background="images/head_bg_r.jpg"><img src="images/head_r.jpg" width="227" height="25"/></td>
</tr>
</table></td>
</tr>
</table>
</td>
  </tr>
  <tr>
    <td height="85" valign="top" background="images/bg_orige.jpg">
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="100%" height="85" background="images/content_top.jpg"><!-- MENU -->
              <table align="center"  border="0" cellpadding="0" cellspacing="0">
                <tr> <xsl:call-template name="TOP-MENU"/> </tr>
              </table>
              <!-- END MENU -->
          </td>
          <td valign="top" background="images/bg_orige.jpg"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td valign="top" background="images/right_top1.jpg"><img src="images/right_top1.jpg" width="41" height="85"/></td>
                <td valign="bottom" background="images/right_top_bg.jpg"><img src="images/right_top.jpg" width="162" height="49"/></td>
                <td valign="top" background="images/right_top_bg.jpg"><img src="images/right_top3.jpg" width="23" height="85"/></td>
              </tr>
          </table></td>
        </tr>
      </table>
	 </td>
  </tr>
  <tr>
    <td height="100%" valign="top" background="images/bg_orige.jpg">
	
      <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="63" valign="top" background="images/bg_orige.jpg"><table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/conent_2top.jpg" width="1" height="29"/></td>
              </tr>
              <tr>
                <td><img src="images/left_imges.jpg" width="63" height="54"/></td>
              </tr>
          </table></td>
          <td width="100%" height="100%" valign="top" background="images/bg_orige.jpg" style="padding:25px;">
	              <table height="54" cellpadding="0" cellspacing="0" border="0" style="padding-top:4px;">
                      <tr>
                        <td height="54" class="textheader"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      </tr>
                    </table>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="100%" class="pageContent" name="SB_stretch" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                      </tr>
                    </table>
		  </td>
          <td valign="top" background="images/bg_orige.jpg"><table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="left" valign="bottom" background="images/right_c_bg.jpg"><img src="images/right_c1.jpg" width="41" height="108"/></td>
                <td bgcolor="#FFFFFF"><!-- SUBMENU -->
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                    </table>
                    <!-- END SUBMENU -->
                </td>
                <td bgcolor="#FFFFFF"></td>
              </tr>
              <tr>
                <td valign="top"><img src="images/right_botom1.jpg" width="41" height="52"/></td>
                <td valign="top" background="images/right_c16_2.jpg"><img src="images/right_botto2.jpg" width="163" height="52"/></td>
                <td valign="top" background="images/right_c16_2.jpg"><img src="images/right_bottom3.jpg" width="23" height="52"/></td>
              </tr>
          </table></td>
        </tr>
      </table>
	  	</td>
  </tr>
  <tr>
    <td height="70" valign="top" background="images/bg_orige.jpg">
<table width="100%" height="70"  border="0" cellpadding="0" cellspacing="0" background="images/bottom_bg.jpg">
<tr>
<td align="left" style="padding:0 20px">
<!-- FOOTER -->
<div class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER --></td>
<td align="right" style="padding:0 15px">
</td>
</tr>
</table>
	</td>
  </tr>
</table>
</BODY>
</HTML>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
   <tr> 
	   <td width="153" class="asubmenu"  style="padding-right:8px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
	   <td width="10" class="submenu_red"><xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
   </tr>
   </xsl:when>
   <xsl:otherwise>
   <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
   <tr> 
	   <td width="153" style="padding-right:8px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   <td width="10" class="submenu" style="padding:0 4px"><xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
   </tr>
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
	<td height="5" colspan="2"></td>
</tr>
<tr bgcolor="#eeeeee">
	<td height="1" colspan="2"></td>
</tr>
<tr>
	<td height="5" colspan="2"></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
 <td align="center">
   <div align="justify"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div>
 </td>
 <td class="iconfoot"></td>
        </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
 <td align="center">
     <div align="justify" class="abmenu" style="font-weight:bold"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
 </td>
 <td class="iconfoot"></td>
           </xsl:when>
           <xsl:otherwise>
 <td align="center">
   <div align="justify"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div>
 </td>
 <td class="iconfoot"></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
