<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
					<td width="13" bgcolor="#00E0FF"><img src="images/abullet.gif"/></td>
					<td bgcolor="#00E0FF" style="padding-right: 10px;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td><td width="48"></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td width="13" bgcolor="#00E0FF"><img src="images/abullet.gif"/></td>
					<td bgcolor="#00E0FF" style="padding-right: 10px;"><font class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></font></td><td width="48"></td>
                </xsl:when>
                <xsl:otherwise>
					<td width="13"><img src="images/bullet.gif"/></td>
					<td style="padding-right: 48px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr><td style="padding-left: 53px;"><span class="asubmenu"><img src="images/submenu_bullet.gif" border="0" align="absmiddle" style="margin-right: 5px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td></tr>
				<xsl:if test="position()!=last()"> 					<tr><td style="padding-left: 20px;"><img src="images/submenu_hr.gif" height="24" width="160"/></td></tr> 				</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
   					<tr><td style="padding-left: 53px;"><a href="{@HREF}" class="submenu"><img src="images/submenu_bullet.gif" border="0" align="absmiddle" style="margin-right: 5px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td></tr>
   					<xsl:if test="position()!=last()"> 					<tr><td style="padding-left: 20px;"><img src="images/submenu_hr.gif" height="24" width="160"/></td></tr> 				</xsl:if>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
